Last updated: September 23, 2026
Update TACACS App
Update TACACS App. TACACS app <uuid> , not <app-uuid>
Request
PUT
https://superadminuser.miniorange.in/services/api/apps/v1/tacacs/:appUUIDAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| appUUID | String | Required | TACACS app <uuid> , not <app-uuid> |
| applicationName | String | Optional | |
| clientName | String | Optional | |
| clientIp | String | Optional | |
| sharedSecret | String | Optional | |
| sendPrivilege | String | Optional | |
| sendGroups | String | Optional | |
| doNotSupportChallenge | String | Optional | |
| isAccountingAuditEnabled | String | Optional | |
| maxRequestsAllowedCount | String | Optional | |
| vendor | String | Optional | |
| identitySource | String | Optional | |
| idpPolicy | String | Optional |
Request body
{
"applicationName": "Custom TACACS Client",
"clientName": "My TACACS App Updated",
"clientIp": [
"192.168.1.200"
],
"sharedSecret": "new-tacacs-secret",
"sendPrivilege": true,
"sendGroups": false,
"doNotSupportChallenge": false,
"isAccountingAuditEnabled": true,
"maxRequestsAllowedCount": null,
"vendor": {
"vendorName": "Default",
"uuid": "40faf721-4451-4145-ad48-12fcb3caecde"
},
"identitySource": null,
"idpPolicy": []
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.